./goblint --conf conf/svcomp-validate.json --witness.yaml.unassume /mnt/goblint-svcomp/sv-comp/svcomp24-witnesses/results-verified/cpachecker.2023-11-29_00-03-15.files/SV-COMP24_unreach-call/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.yml/witness.yml --witness.yaml.validate /mnt/goblint-svcomp/sv-comp/svcomp24-witnesses/results-verified/cpachecker.2023-11-29_00-03-15.files/SV-COMP24_unreach-call/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.yml/witness.yml --sets ana.specification /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/unreach-call.prp --sets exp.architecture 32bit /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c


--------------------------------------------------------------------------------


[0;33m[Warning] --sets is deprecated, use --set instead.[0;0;00m
[0;33m[Warning] --sets is deprecated, use --set instead.[0;0;00m
[Info] unrolling loop at lib/libc/stub/src/stdlib.c:10:5-12:5 with factor 12
[Info] unrolling loop at lib/libc/stub/src/stdlib.c:21:9-27:9 with factor 4
[Info] unrolling loop at lib/libc/stub/src/stdlib.c:40:3-45:3 with factor 6
[Info] no thread creation -> disabling thread analyses "race, deadlock, maylocks, symb_locks, thread, threadid, threadJoins, threadreturn, mhp, region"
[Info] Enabled congruence domain.
[Info] Enabled octagon domain ONLY for:
[Info] nomsg, __return_main, i, count, tmp, key, a, count, j, k, size, i, i___0, j___0, a, top, expression, node1__m1, node2__m2, node3__m3, node4__m4, node5__m5, node6__m6, node7__m7, node8__m8, cond
[Info] Enabled widening thresholds
[Info] SV-COMP specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
[Info][Witness] cannot unassume entry of type violation_sequence
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:290:2-290:28)
[Warning][Deadcode] Function 'assume_abort_if_not' is uncalled: 2 LLoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:18:1-20:1)
[Warning][Deadcode] Function 'main' has dead code:
  on line 445 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:445-445)
  on line 523 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:523-523)
  on line 568 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:568-568)
  on line 613 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:613-613)
  on line 658 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:658-658)
  on line 703 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:703-703)
  on line 748 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:748-748)
  on line 793 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:793-793)
  on line 839 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:839-839)
  on line 858 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:858-858)
[Warning][Deadcode] Logical lines of code (LLoC) summary:
  live: 340
  dead: 12 (2 in uncalled functions)
  total lines: 352
[Warning][Deadcode][CWE-571] condition '(int )send5 != (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:645:6-645:20)
[Warning][Deadcode][CWE-571] condition '(int )p5_new == (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:647:6-647:21)
[Warning][Deadcode][CWE-571] condition '(int )send4 != (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:690:6-690:20)
[Warning][Deadcode][CWE-571] condition '(int )p4_new == (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:692:6-692:21)
[Warning][Deadcode][CWE-571] condition 'main__i2 != 0' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:263:6-263:19)
[Warning][Deadcode][CWE-571] condition '(int )send3 != (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:735:6-735:20)
[Warning][Deadcode][CWE-571] condition '(int )p3_new == (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:737:6-737:21)
[Warning][Deadcode][CWE-571] condition '(int )send2 != (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:780:6-780:20)
[Warning][Deadcode][CWE-571] condition '(int )p2_new == (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:782:6-782:21)
[Warning][Deadcode][CWE-571] condition '(int )send1 != (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:826:6-826:20)
[Warning][Deadcode][CWE-571] condition '(int )send8 != (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:510:6-510:20)
[Warning][Deadcode][CWE-571] condition '(int )p1_new == (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:828:6-828:21)
[Warning][Deadcode][CWE-571] condition '(int )p8_new == (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:512:6-512:21)
[Warning][Deadcode][CWE-571] condition '(int )send7 != (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:555:6-555:20)
[Warning][Deadcode][CWE-571] condition '(int )p7_new == (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:557:6-557:21)
[Warning][Deadcode][CWE-571] condition '(int )send6 != (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:600:6-600:20)
[Warning][Deadcode][CWE-571] condition '(int )p6_new == (int )nomsg' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/seq-mthreaded-reduced/pals_lcr.8.1.ufo.BOUNDED-16.pals.c.v+cfa-reducer.c:602:6-602:21)
[Info][Witness] witness validation summary:
  confirmed: 0
  unconfirmed: 0
  refuted: 0
  error: 0
  unchecked: 0
  unsupported: 0
  disabled: 0
  total validation entries: 0
SV-COMP result: unknown
